#include <bits/stdc++.h>
using namespace std;
int main(){


int n;
cin>>n;
int x[1501],y[1501];
int i=0,k=2,j=1,l=3;
int r,p,m,o,z,v;
int brojac=1;
for(i=0;i<n;i++)
{
cin>>x[i]>>y[i];
}
if(n>4)
cout<<5<<endl;
else cout<<1<<endl;
return 0;
}